Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in php5
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in php5
ID: SUSE-SU-2018:2682-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Web Scripting 12, SUSE Linux Enterprise Software Development Kit 12-SP3
Datum: Mo, 10. September 2018, 22:47
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12882
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10360
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14851
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9118
Applikationen: PHP

Originalnachricht

   SUSE Security Update: Security update for php5
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:2682-1
Rating: moderate
References: #1096984 #1099098 #1103659 #1105466
Cross-References: CVE-2017-9118 CVE-2018-10360 CVE-2018-12882
CVE-2018-14851
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Module for Web Scripting 12
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for php5 fixes the following issues:

The following security issues were fixed:

- CVE-2018-10360: Fixed an out-of-bounds read in the do_core_note function
in readelf.c in libmagic.a, which allowed remote attackers to cause a
denial of service via a crafted ELF file (bsc#1096984)
- CVE-2018-14851: Fixed an out-of-bound read in
exif_process_IFD_in_MAKERNOTE, which could be exploited by an attacker
via crafted JPG files, and could result in an application crash.
(bsc#1103659)
- CVE-2018-12882: Fixed an use-after-free in exif_read_from_impl in
ext/exif/exif.c (bsc#1099098)
- CVE-2017-9118: Fixed an out of bounds access in php_pcre_replace_impl
via a crafted preg_replace call (bsc#1105466)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-1871=1

- SUSE Linux Enterprise Module for Web Scripting 12:

zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2018-1871=1



Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

php5-debuginfo-5.5.14-109.38.1
php5-debugsource-5.5.14-109.38.1
php5-devel-5.5.14-109.38.1

- SUSE Linux Enterprise Module for Web Scripting 12 (aarch64 ppc64le s390x
x86_64):

apache2-mod_php5-5.5.14-109.38.1
apache2-mod_php5-debuginfo-5.5.14-109.38.1
php5-5.5.14-109.38.1
php5-bcmath-5.5.14-109.38.1
php5-bcmath-debuginfo-5.5.14-109.38.1
php5-bz2-5.5.14-109.38.1
php5-bz2-debuginfo-5.5.14-109.38.1
php5-calendar-5.5.14-109.38.1
php5-calendar-debuginfo-5.5.14-109.38.1
php5-ctype-5.5.14-109.38.1
php5-ctype-debuginfo-5.5.14-109.38.1
php5-curl-5.5.14-109.38.1
php5-curl-debuginfo-5.5.14-109.38.1
php5-dba-5.5.14-109.38.1
php5-dba-debuginfo-5.5.14-109.38.1
php5-debuginfo-5.5.14-109.38.1
php5-debugsource-5.5.14-109.38.1
php5-dom-5.5.14-109.38.1
php5-dom-debuginfo-5.5.14-109.38.1
php5-enchant-5.5.14-109.38.1
php5-enchant-debuginfo-5.5.14-109.38.1
php5-exif-5.5.14-109.38.1
php5-exif-debuginfo-5.5.14-109.38.1
php5-fastcgi-5.5.14-109.38.1
php5-fastcgi-debuginfo-5.5.14-109.38.1
php5-fileinfo-5.5.14-109.38.1
php5-fileinfo-debuginfo-5.5.14-109.38.1
php5-fpm-5.5.14-109.38.1
php5-fpm-debuginfo-5.5.14-109.38.1
php5-ftp-5.5.14-109.38.1
php5-ftp-debuginfo-5.5.14-109.38.1
php5-gd-5.5.14-109.38.1
php5-gd-debuginfo-5.5.14-109.38.1
php5-gettext-5.5.14-109.38.1
php5-gettext-debuginfo-5.5.14-109.38.1
php5-gmp-5.5.14-109.38.1
php5-gmp-debuginfo-5.5.14-109.38.1
php5-iconv-5.5.14-109.38.1
php5-iconv-debuginfo-5.5.14-109.38.1
php5-imap-5.5.14-109.38.1
php5-imap-debuginfo-5.5.14-109.38.1
php5-intl-5.5.14-109.38.1
php5-intl-debuginfo-5.5.14-109.38.1
php5-json-5.5.14-109.38.1
php5-json-debuginfo-5.5.14-109.38.1
php5-ldap-5.5.14-109.38.1
php5-ldap-debuginfo-5.5.14-109.38.1
php5-mbstring-5.5.14-109.38.1
php5-mbstring-debuginfo-5.5.14-109.38.1
php5-mcrypt-5.5.14-109.38.1
php5-mcrypt-debuginfo-5.5.14-109.38.1
php5-mysql-5.5.14-109.38.1
php5-mysql-debuginfo-5.5.14-109.38.1
php5-odbc-5.5.14-109.38.1
php5-odbc-debuginfo-5.5.14-109.38.1
php5-opcache-5.5.14-109.38.1
php5-opcache-debuginfo-5.5.14-109.38.1
php5-openssl-5.5.14-109.38.1
php5-openssl-debuginfo-5.5.14-109.38.1
php5-pcntl-5.5.14-109.38.1
php5-pcntl-debuginfo-5.5.14-109.38.1
php5-pdo-5.5.14-109.38.1
php5-pdo-debuginfo-5.5.14-109.38.1
php5-pgsql-5.5.14-109.38.1
php5-pgsql-debuginfo-5.5.14-109.38.1
php5-phar-5.5.14-109.38.1
php5-phar-debuginfo-5.5.14-109.38.1
php5-posix-5.5.14-109.38.1
php5-posix-debuginfo-5.5.14-109.38.1
php5-pspell-5.5.14-109.38.1
php5-pspell-debuginfo-5.5.14-109.38.1
php5-shmop-5.5.14-109.38.1
php5-shmop-debuginfo-5.5.14-109.38.1
php5-snmp-5.5.14-109.38.1
php5-snmp-debuginfo-5.5.14-109.38.1
php5-soap-5.5.14-109.38.1
php5-soap-debuginfo-5.5.14-109.38.1
php5-sockets-5.5.14-109.38.1
php5-sockets-debuginfo-5.5.14-109.38.1
php5-sqlite-5.5.14-109.38.1
php5-sqlite-debuginfo-5.5.14-109.38.1
php5-suhosin-5.5.14-109.38.1
php5-suhosin-debuginfo-5.5.14-109.38.1
php5-sysvmsg-5.5.14-109.38.1
php5-sysvmsg-debuginfo-5.5.14-109.38.1
php5-sysvsem-5.5.14-109.38.1
php5-sysvsem-debuginfo-5.5.14-109.38.1
php5-sysvshm-5.5.14-109.38.1
php5-sysvshm-debuginfo-5.5.14-109.38.1
php5-tokenizer-5.5.14-109.38.1
php5-tokenizer-debuginfo-5.5.14-109.38.1
php5-wddx-5.5.14-109.38.1
php5-wddx-debuginfo-5.5.14-109.38.1
php5-xmlreader-5.5.14-109.38.1
php5-xmlreader-debuginfo-5.5.14-109.38.1
php5-xmlrpc-5.5.14-109.38.1
php5-xmlrpc-debuginfo-5.5.14-109.38.1
php5-xmlwriter-5.5.14-109.38.1
php5-xmlwriter-debuginfo-5.5.14-109.38.1
php5-xsl-5.5.14-109.38.1
php5-xsl-debuginfo-5.5.14-109.38.1
php5-zip-5.5.14-109.38.1
php5-zip-debuginfo-5.5.14-109.38.1
php5-zlib-5.5.14-109.38.1
php5-zlib-debuginfo-5.5.14-109.38.1

- SUSE Linux Enterprise Module for Web Scripting 12 (noarch):

php5-pear-5.5.14-109.38.1


References:

https://www.suse.com/security/cve/CVE-2017-9118.html
https://www.suse.com/security/cve/CVE-2018-10360.html
https://www.suse.com/security/cve/CVE-2018-12882.html
https://www.suse.com/security/cve/CVE-2018-14851.html
https://bugzilla.suse.com/1096984
https://bugzilla.suse.com/1099098
https://bugzilla.suse.com/1103659
https://bugzilla.suse.com/1105466

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung